For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTValidates if a segment name exists
      • GETGet strategy segments
      • GETGet strategies that reference segment
      • GETGet a segment
      • PUTUpdate segment by id
      • DELDeletes a segment by id
      • GETGet all segments
      • POSTCreate a new segment

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APISegments

Get strategies that reference segment

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/segments/:id/strategies
GET
/api/admin/segments/:id/strategies
$curl https://app.unleash-instance.example.com/api/admin/segments/1/strategies \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "strategies": [
3 {
4 "id": "e465c813-cffb-4232-b184-82b1d6fe9d3d",
5 "featureName": "new-signup-flow",
6 "projectId": "red-vista",
7 "environment": "development",
8 "strategyName": "flexibleRollout"
9 }
10 ],
11 "changeRequestStrategies": [
12 {
13 "featureName": "new-signup-flow",
14 "projectId": "red-vista",
15 "environment": "development",
16 "strategyName": "flexibleRollout",
17 "id": "e465c813-cffb-4232-b184-82b1d6fe9d3d"
18 }
19 ]
20}
Retrieve all strategies that reference the specified segment.
Was this page helpful?
Previous

Get a segment

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

idintegerRequired
a segment id

Response

segmentStrategiesSchema
strategieslist of objects
The list of strategies
changeRequestStrategieslist of objects
A list of strategies that use this segment in active change requests.